<?php
/**
* HelperFilePiminoff
* 
* Класс-помошник для отправки писем через SMTP с авторизацией. 
* Требуется подключенный SendMailSmtpClass
* 
* @author Piminoff Nikita
* @version 1.0
*/
class HelperFilePiminoff extends SendMailSmtpClass{
    public $mSMTP       =   false;
    public $login       =   "Логин";
    public $who         =   "Бот сайта";
    public $status      =   true;
    function __construct($server,$login,$pwd,$port){
        $this->mSMTP = new SendMailSmtpClass($login, $pwd, $server, $port, "UTF-8");
        $this->login = $login;
    }
    
    function setWho($who){
        $this->who = $who;
    }
    
    function setStatus($status){
        $this->status   =   $status;
    }
    
    function SendEmail($to,$title,$msg){
        if ($this->status == true){
            $result =  $this->mSMTP->send($to, $title, $msg, [$this->who,$this->login]); 
            return $result;
        } else {
            return false;
        }
    }
}
?>